## Overview
The purpose of this mod is to add some level of scaling to (what I believe are) under performing items that don't really scale with the player.

Configs are provided for those that wish to tweak or disable most changes made by this mod.

## Item Changes

`Bison Steak`

- Health increase is boosted further by level similar to Cautious Slug's health regen.
- Killing an enemy grants a health regen increase for a few seconds (duration increases with stack count).

_While Bison Steak isn't a terrible item and is generally seen as being better than its predecessor Fresh Meat, it suffers from being weaker than alternatives in its tier (Tougher Times, Repulsion Armor and Personal Shield Generator) and also doesn't scale or have any good synergies. These two changes help keep the item relevant throughout the run and offer something its alternatives don't have._

`Topaz Brooch`

- Reduced barrier amount on kill slightly (15 -> 14).
- Now gives additional barrier based on a percent of the user's maximum health (+0.5% per stack).

_Topaz Brooch is considered a good item so the change here is small. This change simply makes the item more usable on high health builds/characters without the need for a Forgive Me Please or excessive stacking._

`Squid Polyp`

- Stacking now increases the lifespan of the Squid Polyp (+3 seconds per stack).
- Stacking increases damage instead of attack speed.
- Stacking increases the armor of Squid Polyps (+10 per stack).
- The Squid Polyp's attack now applies Tar.
- Squid Polyps now have their healing disabled if they haven't been active for a while (about 25-27 seconds).

_Squid Polyp is either an automatic scrap or specifically built around, in the latter's case you typically need to dedicate all your item choices to it. The Tar debuff is mostly for Death Mark synergy, but it's also useful for keeping enemies within range for longer. The lifespan and armor stacking bonuses give the item more value when stacking which is where I believe the item suffers most. The attack speed being converted into damage is mostly for preference. Disabling healing for Squids that have been inactive for too long is for those situations where you've hit the minion cap and you have ten Squid Polyps chilling on the other side of the map._

`Infusion`

- Gives stat increases based on level up stats.
- By default a single Infusion can give up to 2 levels worth of stat increases.
- Killing Elite and Boss type enemies gives more samples to reduce the need for farming.
- If a minion has infusions and kills an enemy it gives the samples to the owner instead if they have infusions as well.
- When a minion spawns and has infusions it gets the same amount of samples as the owner.

_With the changes I've made to the Bison Steak, this item pretty much redundant. This change mainly offers something Bison Steak doesn't. Most characters gain health, damage and regen from leveling up so this is usually what will increase._

## Known Issues

- Not tested in multiplayer.

## Change Log

`1.3.0`

_Most of this update changed how the code is structured, so there isn't many changes. A few bugs/issues may have been fixed but I can't say for sure._

Additions:

`Bison Steak`

- Added `Buff Duration` configuration. Enables the Fresh Meat's health regen boost on kill for this item.

Removals:

`Infusion`

- Removed `Normal Stat Gain` configuration. Felt completely unnecessary, item functions as if this was enabled.

Changes:

`Bison Steak`

- `Level HP` configuration now works as a flat number instead of being a multiplier based on `Base HP`.
- `Level HP` default configuration was changed due to the above (0.1 -> 2.5).

`Squid Polyp`

- `Armor` configuration is now how much armor each stack gives to the Squid Polyp.
- `Armor` default configuration was changed due to the above (50 -> 10).

`Infusion`

- `Champion Stack` default configuration is higher (6 -> 8).

`1.2.0`

Additions:

`Infusions`

- Added `Gives To Owner` configuration. This controls if orbs from minion kills go to the owner instead.
- Added `Inherit From Owner` configuration. This controls if minions with infusions inherit their owner's collected samples.

`Squid Polyp`

- Added balance changes for Squid Polyps.

`Topaz Brooch`

- Added balance changes for Topaz Brooch.

Changes:

`Bison Steak`

- Health boost from levels reduced (0.2 -> 0.1) as it scaled a bit too quickly.

`1.1.0`

Added changes for Infusion.

`1.0.0`

Public release.

## Credits

* **duckduckgreyduck** - Their GreenAlienHead mod was used as reference for some IL code.
* **Risk of Thunder's R2Wiki** - Wouldn't have been able to understand the above mod without this.
* **Hopoo Games** - For leaving Bison Steak in its current state.

## Contact

You can find me as kking117#0370 on Discord.